Get contracts
GET
Get contracts
Loading code example
Loading code example
Authorizations
apiKeyAuthstringheaderrequired
API key passed in the header.
Query Parameters
searchstring
organizationIdstring<uuid>required
websiteIdstring<uuid>required
cursorstring
includeAbibooleandefault: true
Default:
trueidstring<uuid>
limitintegerdefault: 10
Number of contracts to return
Required range:
x >= 1, x <= 1000Default:
10startingAfterstring<uuid>
Pagination cursor to start after a specific contract ID
Response
200application/json
200
dataarray<object>requireddata.idstring<uuid>requiredUnique identifier for the contract
data.namestringrequiredName of the contract
Length:
<= 40data.addressstringrequiredContract address matching the required format
Pattern:
^0x[a-fA-F0-9]{40}$data.chainIdinteger<int64>requiredID of the blockchain chain
data.abianyApplication Binary Interface of the contract
data.type"erc20" | "erc721" | "erc1155" | "custom"requiredType of the contract
Allowed values:
"erc20" | "erc721" | "erc1155" | "custom"data.organizationIdstring<uuid>requiredUnique identifier for the organization
data.iconUrlstring<uri>Optional icon image for the contract; used as the reward token icon
hasNextPagebooleanrequired